> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shared Link Permissions

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

The shared link resource has three permissions that can be updated using the
`permissions` field: `can_preview`, `can_download`, `can_edit`.

<Warning>
  The `can_edit` option can only be `true` for files. Also, if the admin has
  restricted shared links from having edit access in the admin console, you
  will not be able to set `can_edit` to `true`.
</Warning>

```sh theme={null}
curl -i -X PUT 'https://api.box.com/2.0/files/123456789?fields=shared_link' \
    -H 'Content-Type: application/json' \
    -H 'Authorization: Bearer [ACCESS TOKEN]' \
    -d '{
      "shared_link": {
        "permissions": {
          "can_preview": true,
          "can_download": true,
          "can_edit": true
        }
      }
    }'
```

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Update file"), href: "/reference/put-files-id", badge: "PUT" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Create or Update Shared Link"), href: "/guides/shared-links/create-or-update", badge: "GUIDE" },
{ label: translate("Remove Shared Link"), href: "/guides/shared-links/remove", badge: "GUIDE" },
{ label: translate("Find Item from Shared Link"), href: "/guides/shared-links/find-for-item", badge: "GUIDE" }
]}
/>
